%define	major 2
%define libname %mklibname oggz %{major}
%define develname %mklibname oggz -d

Summary:	Simple programming interface for Ogg files and streams
Name:		liboggz
Version:	1.1.1
Release:	%mkrel 7
Group:		System/Libraries
License:	BSD-like
URL:		http://www.xiph.org/oggz/
Source0:	http://downloads.xiph.org/releases/liboggz/%{name}-%{version}.tar.gz
BuildRequires:	libogg-devel >= 1.0
#disabling doxygen because of obsolete instructions
#BuildRequires:	doxygen
BuildRequires:	docbook-utils

%description
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{libname}
Summary:	Simple programming interface for Ogg files and streams
Group:          System/Libraries

%description -n	%{libname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{develname}
Summary:	Files needed for development using liboggz
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname oggz 1 -d}

%description -n	%{develname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

This package contains the header files and documentation needed for development
using liboggz.

%package	tools 
Summary:	Various tools using the liboggz library
Group:		Development/C
Requires:	%{libname} = %{version}

%description	tools
This package contains various tools using the liboggz library.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%check
%make check

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/liboggz

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/liboggz/html/*
%dir %{_includedir}/oggz
%{_includedir}/oggz/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/oggz.pc

%files tools
%{_bindir}/oggz*
%{_mandir}/man1/*


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 1.1.1-7.mga6
+ Revision: 930210
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 746799
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 681675
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 507189
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 357915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 307544
- cleanup spec

* Tue Jan 25 2011 ahmad <ahmad> 1.1.1-2.mga1
+ Revision: 39492
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package liboggz


* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 565337
- new version 1.1.1

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 462443
- Update to new version 1.1.0 (new major)

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 449173
- update to new version 1.0.0

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.9.8-2mdv2010.0
+ Revision: 438722
- rebuild

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.8-1mdv2009.1
+ Revision: 326870
- New version 0.9.8
- protect major
- disable doxygen for now, breaks build

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.9.7-2mdv2009.0
+ Revision: 267964
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Funda Wang <fwang@mandriva.org> 0.9.7-1mdv2009.0
+ Revision: 210295
- New version 0.9.7

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.5-2mdv2008.1
+ Revision: 136557
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-2mdv2008.0
+ Revision: 83599
- new devel naming


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
+ Revision: 94249
- Import liboggz

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
- initial Mandriva package (fc5 extras import)

